A abstract definition for small visual area populated with labels and values. Labels are typically presented as simple text phrases. Values are usually presented inside a UI component, such as a TextField or ComboBox.

### Hierarchy

- View
  - Details

## Index

### Properties

- alias
- attributeCellMap
- cancelButtonText
- commitButtonText
- constantsArray
- defaultActionId
- editable
- focusPropertyName
- gmlMarkup
- id
- menu
- name
- propertyLabelMap
- rows
- title
- type

### Accessors

- attributeCells
- attributeCellsByPropName
- constants
- labelsByPropName

### Methods

- findCellValue
- findCellValueForRow
- findMenuAt
- findTitle
- getAttributeCellValue
- getConstantByIndex
- getLabelForProperty
- initIndexes

## Properties

### alias

alias: string

Inherited from View.alias

- Defined in models/View.ts:12

### Private attributeCellMap

attributeCellMap: StringDictionary

- Defined in models/Details.ts:20

### cancelButtonText

cancelButtonText: string

- Defined in models/Details.ts:13

### commitButtonText

commitButtonText: string

- Defined in models/Details.ts:14

### Private constantsArray

constantsArray: string[]

- Defined in models/Details.ts:22

### defaultActionId

defaultActionId: string

Inherited from View.defaultActionId

- Defined in models/View.ts:13

### editable

editable: boolean

- Defined in models/Details.ts:15

### focusPropertyName

focusPropertyName: string

- Defined in models/Details.ts:16

### gmlMarkup

gmlMarkup: string

- Defined in models/Details.ts:17

### id

id: string

Inherited from View.id

- Defined in models/View.ts:14

### menu

menu: Menu

Inherited from View.menu

- Defined in models/View.ts:16

### name

name: string

Inherited from View.name

- Defined in models/View.ts:15

### Private propertyLabelMap

propertyLabelMap: StringDictionary

- Defined in models/Details.ts:21

### rows

rows: Cell[][]

- Defined in models/Details.ts:18

### title

title: string

Inherited from View.title

- Defined in models/View.ts:17

### type

type: ViewType

Inherited from View.type

- Defined in models/View.ts:18

## Accessors

### attributeCells

- get attributeCells(): AttributeCellValue[]

- - Defined in models/Details.ts:71

  #### Returns AttributeCellValue[]

### attributeCellsByPropName

- get attributeCellsByPropName(): StringDictionary

- - Defined in models/Details.ts:75

  #### Returns StringDictionary

### constants

- get constants(): string[]

- - Defined in models/Details.ts:64

  #### Returns string[]

### labelsByPropName

- get labelsByPropName(): StringDictionary

- - Defined in models/Details.ts:82

  #### Returns StringDictionary

## Methods

### findCellValue

- findCellValue(matcher: function): CellValue

- - Defined in models/Details.ts:24

  #### Parameters

  - ##### matcher: function

    - - (cellValue: CellValue): CellValue

      - #### Parameters

        - ##### cellValue: CellValue

        #### Returns CellValue

### findCellValueForRow

- findCellValueForRow(matcher: function): CellValue

- - Defined in models/Details.ts:40

  #### Parameters

  - ##### matcher: function

    a function that given a row of cells, returns a matching CellValue (or null)

    - - (row: Cell[]): CellValue

      - #### Parameters

        - ##### row: Cell[]

        #### Returns CellValue

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from View.findMenuAt

  - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- Inherited from View.findTitle

  - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

### getAttributeCellValue

- getAttributeCellValue(propertyName: string): AttributeCellValue

- - Defined in models/Details.ts:49

  #### Parameters

  - ##### propertyName: string

  #### Returns AttributeCellValue

### getConstantByIndex

- getConstantByIndex(index: number): string

- - Defined in models/Details.ts:56

  1-based index

  #### Parameters

  - ##### index: number

  #### Returns string

### getLabelForProperty

- getLabelForProperty(propertyName: string): LabelCellValue

- - Defined in models/Details.ts:60

  #### Parameters

  - ##### propertyName: string

  #### Returns LabelCellValue

### Private initIndexes

- initIndexes(): void

- - Defined in models/Details.ts:89

  #### Returns void

Generated using TypeDoc